
Redmine - Defect #21994

404 after personalizing my page using plugin

2016-02-09 18:52 - Joe C

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.1

Description

Hello,

I'm running 3.0.1/Ubuntu 14.04 and tried installing the Redmine My Page Customization plugin by Rupesh J. The installation goes

smoothly, but as soon as I try using one of the plugin blocks I get a 404. Once I get the 404, I need to uninstall the plugin and restart

nginx to get the my page area working again.

The log shows that it's unable to find a template, but I'm new to rails and don't know how to go about fixing the issue or even

understanding why it's happening.

This is happening when I try to install other 'my page' plugins as well, so I'm guessing it's something to do with my

setup/configuration. Any help would be greatly appreciated!

Processing by MyController#page as HTML

Current user: daywalker (id=4)

Rendered my/page.html.erb within layouts/base (2.3ms)

Missing template, responding with 404

Rendered common/error.html.erb within layouts/base (0.3ms)

Completed 404 Not Found in 37ms (Views: 22.8ms | ActiveRecord: 1.2ms)

Started GET "/my/page" for 50.196.5.22 at 2016-02-09 12:38:29 -0500

Processing by MyController#page as HTML

Current user: daywalker (id=4)

Rendered my/page.html.erb within layouts/base (43.6ms)

Missing template, responding with 404

Rendered common/error.html.erb within layouts/base (0.9ms)

Completed 404 Not Found in 661ms (Views: 394.8ms | ActiveRecord: 6.7ms)

History

#1 - 2016-02-10 01:32 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the author of the plugin.

#2 - 2016-02-16 19:15 - Joe C

- Status changed from Closed to Reopened

Reopening, as I was unable to contact the author of the plugin. Additionally, the fact that I run into this issue after installing other plugins as well

seems to indicate that it's a problem with my setup and not the plugin itself.

Any and all guidance is appreciated!

#3 - 2016-02-17 02:58 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Try without plugins.

We don't provide any technical supports.

Please reopen if you ensure it is core Redmine problem.
